classification
Title: "make altinstall" installs pydoc, idle, smtpd.py
Type: behavior Stage: patch review
Components: Build, Installation Versions: Python 3.0, Python 3.1, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: 1120 Superseder:
Assigned To: Nosy List: ajaksu2, benjamin.peterson, christian.heimes, dripton, gvanrossum, ned.deily
Priority: high Keywords: patch

Created on 2007-12-11 15:48 by dripton, last changed 2009-04-14 20:28 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
altinstall.patch dripton, 2007-12-12 14:25
Messages (10)
msg58437 - (view) Author: David Ripton (dripton) Date: 2007-12-11 15:48
Python 3.0a2, Gentoo Linux, x86

"make altinstall" installs idle, pydoc, and smtpd.py

This can partially break the previous Python install, which is counter
to the idea of altinstall being safe to use in parallel with an existing
install of a different version of Python.

IMO altinstall should install no files that lack a version number
somewhere in their path.  I suggest having altinstall simply not install
pydoc, idle, and smtpd.py.
msg58450 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-12-11 17:58
Agreed.  Please provide a patch.  Isn't this a 2.5-2.6 issue as well?
msg58462 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-12-11 20:08
Yes, 2.5 and 2.6 are affected, too. The scripts are install by setup.py
in sharedinstall.
msg58492 - (view) Author: David Ripton (dripton) Date: 2007-12-12 14:23
Here's a patch, against the 3.0a2 tarball.
msg58493 - (view) Author: David Ripton (dripton) Date: 2007-12-12 14:29
Same patch appears to work fine against the 2.5.1 tarball.
msg85734 - (view) Author: David Ripton (dripton) Date: 2009-04-07 19:09
I see this has been marked as "test needed", but this patch is a change
to Makefile.pre.in, and it's not clear to me how to unit test it using
the existing Python test framework.

FWIW, I've manually tested it (on Linux) by doing ./configure; make;
sudo make install and verifying the absence of (newly installed) idle,
pydoc, and smtpd.py in /usr/local/bin
msg85735 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-04-07 19:15
That's good enough a test for me :)
Pinging gutworth so we can have this in 3.1.
msg85738 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-04-07 19:28
Fixed in r71372. Thanks for the patch!
msg85785 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-04-08 21:40
Refixed in r71400.
msg85974 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2009-04-14 20:28
r71400 breaks installer builds.  See issue5756.
History
Date User Action Args
2010-08-22 13:46:18eric.araujolinkissue1495488 superseder
2009-04-14 20:28:56ned.deilysetnosy: + ned.deily
messages: + msg85974
2009-04-08 21:40:23benjamin.petersonsetmessages: + msg85785
2009-04-07 19:28:05benjamin.petersonsetstatus: open -> closed
resolution: fixed
messages: + msg85738
2009-04-07 19:15:04ajaksu2setnosy: + ajaksu2, benjamin.peterson

messages: + msg85735
stage: test needed -> patch review
2009-04-07 19:09:19driptonsetmessages: + msg85734
2009-04-06 10:49:23ajaksu2setversions: + Python 3.1, Python 2.7, - Python 2.5
priority: normal -> high
dependencies: + "make altinstall" installs pydoc, idle, smtpd.py with broken shebang lines
components: + Installation
keywords: + patch
stage: test needed
2009-04-06 10:47:51ajaksu2linkissue3744 superseder
2007-12-12 14:29:40driptonsetmessages: + msg58493
2007-12-12 14:25:40driptonsetfiles: + altinstall.patch
2007-12-12 14:23:57driptonsetmessages: + msg58492
2007-12-11 20:08:14christian.heimessetpriority: normal
nosy: + christian.heimes
messages: + msg58462
versions: + Python 2.6, Python 2.5
2007-12-11 17:58:00gvanrossumsetnosy: + gvanrossum
messages: + msg58450
2007-12-11 15:48:35driptoncreate